tcpflow (1.4.4+repack1-3) unstable; urgency=medium

  * Bug fix: "tcpflow with no -i doesn't work", thanks to
    jidanni@jidanni.org; (Closes: #734064).
  * Bug fix: "tcpflow prints "write error to stdout" after every
    packet", thanks to Frank Gevaerts (Closes: #736417).
  * I now build a 'tcpflow-nox' package to provide a tcpflow without
    dependencies on x11 (Closes: #729360).
  * Bumped Standards-Version to 3.9.5; no changes necessary

 -- Dima Kogan <dima@secretsauce.net>  Sat, 31 May 2014 12:49:51 -0700

tcpflow (1.4.4+repack1-2) unstable; urgency=low

  * Bug fix: "FTBFS: test failures on armel, sparc" (Closes: #731673)

 -- Dima Kogan <dima@secretsauce.net>  Mon, 13 Jan 2014 00:01:47 -0800

tcpflow (1.4.4+repack1-1) unstable; urgency=low

  * Upstream update to 1.4.4

 -- Dima Kogan <dima@secretsauce.net>  Sun, 05 Jan 2014 01:54:19 -0800

tcpflow (1.4.3+repack1-1) unstable; urgency=low

  * Upstream update to 1.4.3 (Closes: #729328)
  * Using in-debian libhttp-parser instead of the in-tree one

 -- Dima Kogan <dima@secretsauce.net>  Sat, 07 Dec 2013 11:03:08 -0800

tcpflow (1.4.0+repack1-2) unstable; urgency=low

  * imported upstream patches to let non-x86 builds work (Closes: #725630)
  * patched the source to build on kfreebsd (Closes: #725660)
  * debian/watch version mangling now handles the +repack source

 -- Dima Kogan <dima@secretsauce.net>  Tue, 05 Nov 2013 12:03:56 -0800

tcpflow (1.4.0+repack1-1) unstable; urgency=low

  * Bumped the major version to indicate that the sources were repacked

 -- Dima Kogan <dima@secretsauce.net>  Sun, 15 Sep 2013 02:18:32 -0700

tcpflow (1.4.0-1) unstable; urgency=low

  * Upstream update

 -- Dima Kogan <dima@secretsauce.net>  Thu, 05 Sep 2013 20:24:08 -0700

tcpflow (1.3.0+dfsg-2) unstable; urgency=low

  * updated upstream URL
  * Package moved to unstable

 -- Dima Kogan <dima@secretsauce.net>  Sun, 07 Jul 2013 18:09:31 -0700

tcpflow (1.3.0+dfsg-1) experimental; urgency=low

  * New Maintainer (Closes: #673637)
  * Package now follows new upstream:
    http://www.afflib.org/software/tcpflow/ . This fixes several bugs:
    (Closes: #636922, #536792, #611047, #636212)
  * Updated debianization
    - moved to debhelper v9, so debian/rules is now much simpler
    - added watch files
    - expanded debian/copyright
    - now building a tcpflow-dbg package
  
 -- Dima Kogan <dima@secretsauce.net>  Sat, 02 Feb 2013 02:16:53 -0800

tcpflow (0.21.ds1-7) unstable; urgency=low

  * Switch to debhelper compat level 9, enable hardening via
    dpkg-buildflags.
  * Override lintian warning about stack protector: the binary is
    correctly built with stack protection enabled, but doesn't have any
    arrays on the stack.
  * Override lintian tag 'package-needs-versioned-debhelper-build-depends'.
  * Bump Standards-Version to 3.9.3.
  * Set Maintainer to Debian QA group.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 20 May 2012 12:59:44 +0200

tcpflow (0.21.ds1-6) unstable; urgency=low

  * debian/control: Build-depend on hardening-includes.
  * debian/rules: Use hardening.make.
  * debian/patches/10_vlan.diff: Dropped (closes: #558209).
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 14 Jan 2010 20:17:47 +0100

tcpflow (0.21.ds1-5) unstable; urgency=low

  * Switch to 3.0 (quilt) source format:
    + Drop build-depends on quilt.
    + Remove patch/unpatch logic from debian/rules.
    + Refresh all patches.
  * Use dh(1):
    + debian/compat: Bump to 7.
    + debian/control: Build-depend on debhelper (>> 7).
    + debian/rules: Simplify.
  * debian/patches/10_vlan.diff: New patch, makes tcpflow skip VLAN
    headers if present (closes: #536792).
  * debian/patches/series: Update.
  * debian/control: Bump Standards-Version to 3.8.3, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 09 Nov 2009 19:55:38 +0100

tcpflow (0.21.ds1-4) unstable; urgency=low

  * debian/patches/20_fix-usage.diff: New patch, fixes wrong usage output
    (closes: #499158).
  * debian/control: Bump Standards-Version to 3.8.2, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 21 Jun 2009 19:22:28 +0200

tcpflow (0.21.ds1-3) unstable; urgency=low

  * debian/patches/10_extra-opts.diff: Fix off-by-one error in handling of
    isn, the handshake SYN packet counts for one but doesn't contain data
    (closes: #477163).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 01 May 2008 13:54:05 +0200

tcpflow (0.21.ds1-2) unstable; urgency=low

  * debian/control: Bump Standards-Version to 3.7.3, no changes needed.
  * debian/copyright: Add actual copyright notice (lintian warning).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 10 Mar 2008 21:22:23 +0100

tcpflow (0.21.ds1-1) unstable; urgency=low

  * Repack tarball from Git.
  * debian/control: Add Homepage, Vcs-Browser and Vcs-Git fields.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 14 Oct 2007 17:23:21 +0200

tcpflow (0.21-12) unstable; urgency=low

  * Convert to quilt for patch management:
    + debian/control: build-depend on quilt (>= 0.40).
    + debian/rules: Include /usr/share/quilt/quilt.make and call quilt
      targets.

  * Split monolithic Debian diff:
    + debian/patches/10_extra-opts.diff: Add options -C and -e.
    + debian/patches/50_autotools-dev.diff: Make config.{guess,sub}
      exec newer versions of themselves if autotools-dev is installed.

  * debian/control: Don't build-depend on automake1.7, but on autotools-dev.
  * debian/rules: Don't reconf.  Major cleanup.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 01 Sep 2007 12:49:18 +0200

tcpflow (0.21-11) unstable; urgency=high

  * Fix broken Debian-specific changes:
    + -C and -c *must* imply -s to strip non-printable characters or
      network data could end up messing with the terminal; this is
      potentially a security issue, hence urgency: high.
    + Reimplement Debian-specific option -e from scratch, the previous
      implementation was tragically flawed: it assumed that the entirety
      of the TCP connection would have only two segments, which is of
      course rarely true...  Do it properly by finding out who's the
      client and who's the server by examining the TCP handshake. Also
      mention -e in usage.
    + Fix spelling errors in Debian-specific patches.
    + Fix the manpage to make explanations actually match their
      corresponding options (closes: #392676).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Oct 2006 16:38:10 +0200

tcpflow (0.21-10) unstable; urgency=low

  * debian/control:
    + Set myself as maintainer, not just uploader.
    + Build-Depend on debhelper (>> 5.0.0), libpcap0.8-dev.
  * debian/compat: New file.
  * debian/rules: Don't set DH_COMPAT.

 -- Romain Francoise <rfrancoise@debian.org>  Tue,  3 Oct 2006 08:16:37 +0200

tcpflow (0.21-9) unstable; urgency=low

  * Updated Debian Standards version to 3.7.2
  * Restore behaviour of the '-C' switch, which was broken in
    the previous release.
    (Closes: #368728)

 -- Steve Kemp <skx@debian.org>  Friday, 2 June 2006 09:54:06 +0000

tcpflow (0.21-8) unstable; urgency=low

  * Changed the default command line arguments, so that -C doesnt
    imply -s.
  * Updated documentation to match.

 -- Steve Kemp <skx@debian.org>  Saturday, 25 February 2006 19:43:56 +0000

tcpflow (0.21-7) unstable; urgency=low

  * Updated the debhelper compatability level to four.
  * Updated Debian Standards Version.

 -- Steve Kemp <skx@debian.org>  Monday, 16 January 2006 15:40:19 +0000

tcpflow (0.21-6) unstable; urgency=high

  * Updated to Build-Dep upon the automake1.7 package which
    should finally allow it to build correctly.  (Verified this
    with pbuilder)
    (Closes: #272555).
  * Severity set to medium as this is the second revision
    which didn't correctly build from source.

 -- Steve Kemp <skx@debian.org>  Tuesday, 21 September 2004 19:39:26 +0000

tcpflow (0.21-5) unstable; urgency=low

  * Fix the FTBFS problems which occurred due to timestamp issues
    on the autoconf files.  (Closes: #271159).

 -- Steve Kemp <skx@debian.org>  Friday, 7 September 2004 21:52:46 +0000

tcpflow (0.21-4) unstable; urgency=high

  * Fix the FTBFS issue which was caused by out of date
    autoconf files.
    (Closes: #259890)	

 -- Steve Kemp <skx@debian.org>  Monday, 16 August 2004 21:13:30 +0000

tcpflow (0.21-3) unstable; urgency=medium

  * Fixes the longstanding (two years!) bug where occaisional
    source port reuse causes captures to have large amounts of
    erroneous NULL characters.
    (Closes: #143826) Major thanks to Mike Castle for diagnosing
    the source of this bug and submitting an almost perfect patch.
  * Added the ability to colour code the output when dumping to
    the console.  Alternate flows appear in alternating colours.
    (Closes: #233082)

 -- Steve Kemp <skx@debian.org>  Thursday, 15 July 2004 23:38:12 +0000	
tcpflow (0.21-2) unstable; urgency=low

  * Updated standards version 3.6.1 - no changes.
  * Added the option to supress printing 'ip1:port1-ip2:port2' when
    dumping to the console.
    (Closes: #111689) 

 -- Steve Kemp <skx@debian.org>  Tuesday, 4 November 2003 09:27:34 +0000	
	
tcpflow (0.21-1) unstable; urgency=low

  * New upstream release.
    (Closes: #204454)
  * Updated standards version to 3.6.0 - no changes.
	
 -- Steve Kemp <skx@debian.org>  Thursday, 7 August 2003 15:28:39 +0000	

tcpflow (0.20-2) unstable; urgency=low

  * New maintainer.  (Closes: 193118)
  * Incorporated the NMU (Closes: 156186)
  * Updated standards version to 3.5.9
	
 -- Steve Kemp <skx@debian.org>  Friday, 16 May 2003 11:48:56 +0000	
	
tcpflow (0.20-1.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:37:39 +0200

tcpflow (0.20-1) unstable; urgency=medium

  * New upstream version - does not leave adapter PROMISC.
  * Builds flawlessly on unstable systems. (Closes: #76807)
  * Removed INSTALL file from the installed docs, I'm assuming
    users of the package already have it installed.
  * Minor debian/rules tweaks.
  * Updated description and standards version.
  * Now suggesting tcpdump.

 -- Robert McQueen <robot101@debian.org>  Tue, 27 Feb 2001 01:36:16 +0000

tcpflow (0.12-3) unstable; urgency=low

  * Package now builds on woody, but its an evil hack so
    bug #76807 stays open. Thanks to Alexander Kotelnikov
    <sacha@debian.org> for helping me fix this.
  * Removed spurious menu entry.
  * Upgraded policy version and tidied debian/rules.
  * Changed to @debian.org maintainer address.

 -- Robert McQueen <robot101@debian.org>  Thu, 30 Nov 2000 00:44:22 +0000

tcpflow (0.12-2) unstable; urgency=low

  * Fixed erroneous description entry: (available here).
    (Closes: Bug#68446)

 -- Robert McQueen <robert.mcqueen@hands.com>  Fri,  4 Aug 2000 00:54:55 +0100

tcpflow (0.12-1) unstable; urgency=low

  * Initial release.

 -- Robert McQueen <robert.mcqueen@hands.com>  Sat, 29 Jul 2000 02:16:59 +0100
